Subject: RE: [Capwap] Re: IPR issues

From: "Troy Dixler" <[email-masked]>
Date: Thu, 15 Sep 2005 20:09:53 -0500

It's interesting to see that Sue/Nexthop's language is very different
compared to the terms that Cisco is using.  The problem of course is all the
IPR claims are based on LWAPP as the core protocol.  I give Sue credit as
she goes out of her way to disclose what is clearly not in the IPR claim yet
still doesn't answer the specifics of what is in the claim. Additionally
Cisco's IPR claim is over LWAPP as well and it's clear from the language
that the undertones are not ones that I feel comfortable with.

The SLAPP proposal was very articulate that there are no IPR claims in the
proposal.  

The point around SLAPP having stated there is no IPR claim and the potential
issues that LWAPP can bring with Cisco's language - there's a feeling of
heartburn that I just can't get over regardless whether people believe LWAPP
has technical merits that SLAPP does not have.  

It's my opinion that we should strongly consider working with the base draft
and get the appropriate technical hooks into it and know we are starting
with a basis for a "royalty free no IPR" draft and get back to working on
OPEN standards.

-Troy

> -----Original Message-----
> From: Susan Hares [mailto:[email-masked]]
> Sent: Thursday, September 15, 2005 2:37 PM
> To: Dan Harkins; Wijnen, Bert (Bert)
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: RE: [Capwap] Re: IPR issues
> 
> Dan and Bert:
> 
> In line with Bert's encouragement to submit any IPR that impacts any
> CAPWAP proposal, I would like to pass on to the working group the
> existence of another piece of IPR.
> 
> <Legal statement on>
> ======================================================================
> NextHop Technologies is the holder of 1 or more pending patent
> applications related to the LWAPP (Light Weight Access Point Protocol)
> specified in the Internet draft: draft-ohara-capwap-lwapp-03.txt.
> 
> If technology in this document is included in a standard adopted by IETF
> and any claims of any NextHop Technologies patents are necessary for
> practicing the standard, any party will have the right to use any such
> patent claims under reasonable, non-discriminatory terms to implement
> and fully comply with the standard.
> 
> ======================================================================
> <legal statement off>
> 
> <non-legal statement on -- I'm not a lawyer>
> 
> A couple of things I would like to indicate before the questions begin:
> 
> 1) Please note that this IPR is held solely by NextHop Technologies.
> 
> 2) I would like to further indicate that the current byte formats of
>    LWAPP or SLAPP packets are not listed in this IPR.  Included in the
>    IPR (but not limited to) is a pre-LWAPP CAPWAP protocol.
> 
> I support the efforts of the CAPWAP Evaluation team and this lively
> debate.
> 
> <non-legal statement off -- I'm not a lawyer>
> 
> Sue Hares
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Dan Harkins
> Sent: Tuesday, September 13, 2005 12:24 PM
> To: Wijnen, Bert (Bert)
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Capwap] Re: IPR issues
> 
>   Bert,
> 
>   You overturned a rock and some nastly things crawled out. I refer to:
> 
> 
> http://www.ietf.org/ietf/IPR/cisco-ipr-draft-singh-capwap-ctp.txt
> 
> So now Cisco is claiming IPR ON ALL SUBMISSIONS TO THIS WORKING GROUP!!!
> 
>   How pathetic. And how utterly baseless.
> 
>   Dan.
> 
> On Sat, 03 Sep 2005 23:06:28 +0200 you wrote
> > All,
> >
> > I changed the subject line.
> > This is not about FCC certification but about IPR.
> >
> > The question to be asked is:
> >
> >    does anyone know if there is any IPR anywhere.
> >
> > According to the NOTE WELL, if anyone who contributes to
> > or participates in this WG, then they MUST disclose if they know
> > about any IPR of the technology being discussed in the WG.
> > Even if it is IPR that they know someone else is holding.
> >
> > And so that includes all submitted technologies.
> > Pls also read RFC 3978 and RFC 3979
> >
> > Bert
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]On
> > > Behalf Of Dan Harkins
> > > Sent: Saturday, September 03, 2005 13:47
> > > To: [email-masked]
> > > Cc: [email-masked]
> > > Subject: [Capwap] this is not the thread on expanded discussion on
> > > regulatory certification which has now officially ended
> > >
> > >
> > >   Troy,
> > >
> > >   There is no IPR claim on SLAPP to remove.
> > >
> > >   Dan.
> > >
> > > On Sat, 03 Sep 2005 08:28:56 CDT you wrote
> > > > Guys,
> > > >
> > > > I've been watching the argument on this thread and feel
> > > that it's time to
> > > > make a statement as a working group member.  There are two
> > > very separate
> > > > arguments going on here.  One is related to IPR claims and
> > > the other around
> > > > image download and FCC violations.  I am not making this
> > > comment around the
> > > > image download portion but believe it's essential to
> > > discuss the IPR issue.
> > > >
> > > > I've seen the IPR game getting out of hand within the IETF
> > > for way too long.
> > > > There are way too many drafts that are coming into the IETF
> > > standards
> > > > process claiming IPR.
> > > >
> > > > The purpose for the CAPWAP working group is to create an
> > > OPEN standard that
> > > > all vendors can implement and show interoperability.
> > > Regardless of the
> > > > image download argument, before I'll stand up and back the
> > > LWAPP or SLAPP
> > > > contribution, I want Cisco as well as Trapeze to remove any
> > > notion of owing
> > > > IPR where they can go after other vendors that implement an
> > > IETF standard.
> > > > That simply does not wash.
> > > >
> > > > If the IPR comment stands then we as a working group must
> > > engineer around
> > > > any/all requirements and come up with a standard that does
> > > not allow one
> > > > vendor to have that type of power.
> > > >
> > > > I do not buy into any comments such as "we would never do
> > > it" or "we want to
> > > > contribute to this moving forward" etc. If that is the
> > > case, drop the IPR
> > > > claim and then we can go back to considering what protocol
> > > would best
> > > > represent the basis for CAPWAP.
> > > >
> > > > The notion of trying to move on from this topic and even
> > > consider using a
> > > > protocol that has this type of IPR claim is ridiculous
> > > (IMHO).  I want an
> > > > IPR free protocol standard out of this group.
> > > >
> > > > So there are two questions.  Will both the main authors of
> > > each of the specs
> > > > remove any/all IPR claims for consideration of being in the
> > > spec? It's a
> > > > simple question of yes or no. Please do not present a long
> > > reply without
> > > > answering it as a binary decision.
> > > >
> > > > -Troy
> > > >
> > > >
> > > > > -----Original Message-----
> > > > > From: [email-masked]
> > > [mailto:[email-masked]] On
> > > > > Behalf Of Dan Harkins
> > > > > Sent: Saturday, September 03, 2005 12:53 AM
> > > > > To: Bob O'Hara (boohara)
> > > > > Cc: [email-masked]
> > > > > Subject: Re: [Capwap] Expanded discussion on regulatory
> > > certification
> > > > >
> > > > >   Bob,
> > > > >
> > > > > On Fri, 02 Sep 2005 13:15:10 PDT you wrote
> > > > > [snip]
> > > > > >
> > > > > > Both the SLAPP and LWAPP protocol proposals include the
> > > ability to
> > > > > download c
> > > > > >ode to an AP/WTP.  The difference between the two is
> > > that CAPWAP requires
> > > > > an a
> > > > > >uthentication signature must be validated before a
> > > download can be used,
> > > > > while
> > > > > > SLAPP has no such mechanism and specifically allows
> > > download of code
> > > > > from sou
> > > > > >rces other than the manufacturer or an authorized delegate of
> the
> > > > > manufacturer
> > > > > >.  This is a significant difference between the two
> > > protocols and needs
> > > > > to be
> > > > > >considered when evaluating the protocols during this
> > > phase of selecting
> > > > > the ba
> > > > > >sis for CAPWAP standardization.
> > > > >
> > > > > "Both the SLAPP and LWAPP protocol proposals.... The
> > > difference between
> > > > > the
> > > > > two is that CAPWAP requires an authentication signature
> > > must be validated
> > > > > before a download can be used, while SLAPP has no such
> > > mechanism...."
> > > > >
> > > > > LWAPP = CAPWAP? I think you're getting a little excited
> > > here Bob. Either
> > > > > that or you know something that has not been made public yet.
> > > > >
> > > > > What you don't know is how SLAPP works. Please go read
> > > the spec. There is
> > > > > an authentication step PRIOR to the AC and WTP deciding
> > > whether to proceed
> > > > > to the full-fledged control and provisioning protocol or
> > > to do image
> > > > > download.
> > > > >
> > > > > > Going back to one of my first statements on this topic
> > > and to bring this
> > > > > arou
> > > > > >nd again to why this discussion is important to the
> > > working group while
> > > > > evalua
> > > > > >ting protocols, independent implementations of LWAPP can
> > > be built from
> > > > > the pro
> > > > > >tocol specification, alone.  That same statement cannot
> > > be made about
> > > > > SLAPP.
> > > > >
> > > > > Wrong! SLAPP includes a complete provisioning and control
> > > protocol.
> > > > >
> > > > >   Dan.
> > > > >
> > > > > _______________________________________________
> > > > > Capwap mailing list
> > > > > [email-masked]
> > > > > http://mail.frascone.com/mailman/listinfo/capwap
> > > >
> > > > _______________________________________________
> > > > Capwap mailing list
> > > > [email-masked]
> > > > http://mail.frascone.com/mailman/listinfo/capwap
> > > _______________________________________________
> > > Capwap mailing list
> > > [email-masked]
> > > http://mail.frascone.com/mailman/listinfo/capwap
> > >
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
> 
> 

_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap